<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='Кто в Мафии?';
aut();
head();
$rmmaf  = check(intval($_GET['rmmaf']));
if (!ctype_digit($rmmaf)) { header("Location: index.php"); die; }



$us = $user['user'];
$mafiozi = 'Мафиози';
$mafid = 0;
$rmafaction = "mafaction".$rmmaf;
$rscores = "scores".$rmmaf;
$ringame = "ingame".$rmmaf;
$room="maf".$rmmaf;

$tm = time()-300;
$ingame = "";
$outgame = "";

$tm = time()-300;
$res=$db->sql_query("SELECT * FROM $room WHERE id >'".$tm."' group by who order by id desc");
$kol = mysql_affected_rows();

//if($num!=0)echo "<br/>";
echo "<b>В игре:</b><br/>";
for ($k = 0; $k < $kol; $k++){
$lines = $db->sql_fetchrow ($res);
$use = $lines["who"];
$user_id = $lines["usid"];
$r = $db->sql_query("select * from $ringame WHERE gamer_id = '".$user_id."'");
$a = $db->sql_fetchrow($r);
$id_in_game = $a["id_in_game"];
if (mysql_affected_rows()!=0) $ingame = $ingame."$use($id_in_game), ";
else $outgame = $outgame."$use, ";
}
unset($lines);
echo "$ingame<br/>";
echo "<b>Вне игры:</b><br/>";
echo "$outgame<br/>";
echo '<br />';
echo gbinroom."<a href=\"maf.php?&amp;rmmaf=1\">В игру</a>".div;
echo gbinroom."<a href=\"../enter.php?\">На Главную</a>".div;
foot();
?>